<?xml version="1.0" encoding="UTF-8"?>

<!-- generated on 2021-05-20 03:09:28 by Eclipse SUMO netconvert Version 1.9.1
<configuration xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://sumo.dlr.de/xsd/netconvertConfiguration.xsd">

    <input>
        <node-files value="junction.nod.xml"/>
        <edge-files value="junction.edg.xml"/>
        <connection-files value="junction.con.xml"/>
        <tllogic-files value="junction.tls.xml"/>
    </input>

    <output>
        <output-file value="junction.net.xml"/>
    </output>

    <report>
        <aggregate-warnings value="5"/>
    </report>

</configuration>
-->

<net version="1.9" junctionCornerDetail="5" limitTurnSpeed="5.50" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://sumo.dlr.de/xsd/net_file.xsd">

    <location netOffset="0.00,0.00" convBoundary="0.00,0.00,2000.00,2000.00" origBoundary="0.00,0.00,2000.00,2000.00" projParameter="!"/>

    <edge id=":center_0" function="internal">
        <lane id=":center_0_0" index="0" disallow="pedestrian" speed="6.79" length="5.42" width="4.00" shape="996.00,1010.00 995.62,1007.38 994.50,1005.50 994.00,1005.20"/>
    </edge>
    <edge id=":center_1" function="internal">
        <lane id=":center_1_0" index="0" disallow="pedestrian" speed="13.90" length="20.00" width="4.00" shape="996.00,1010.00 996.00,990.00"/>
    </edge>
    <edge id=":center_2" function="internal">
        <lane id=":center_2_0" index="0" disallow="pedestrian" speed="9.34" length="9.65" width="4.00" shape="1000.00,1010.00 1000.62,1003.88 1002.00,1000.67"/>
    </edge>
    <edge id=":center_12" function="internal">
        <lane id=":center_12_0" index="0" disallow="pedestrian" speed="6.79" length="4.26" width="4.00" shape="994.00,1005.20 992.62,1004.38 990.00,1004.00"/>
    </edge>
    <edge id=":center_13" function="internal">
        <lane id=":center_13_0" index="0" disallow="pedestrian" speed="9.34" length="9.81" width="4.00" shape="1002.00,1000.67 1002.50,999.50 1005.62,996.88 1010.00,996.00"/>
    </edge>
    <edge id=":center_3" function="internal">
        <lane id=":center_3_0" index="0" disallow="pedestrian" speed="6.79" length="5.42" width="4.00" shape="1010.00,1004.00 1007.38,1004.38 1005.50,1005.50 1005.20,1006.00"/>
    </edge>
    <edge id=":center_4" function="internal">
        <lane id=":center_4_0" index="0" disallow="pedestrian" speed="13.90" length="20.00" width="4.00" shape="1010.00,1004.00 990.00,1004.00"/>
    </edge>
    <edge id=":center_5" function="internal">
        <lane id=":center_5_0" index="0" disallow="pedestrian" speed="9.34" length="9.65" width="4.00" shape="1010.00,1000.00 1003.88,999.38 1000.67,998.00"/>
    </edge>
    <edge id=":center_14" function="internal">
        <lane id=":center_14_0" index="0" disallow="pedestrian" speed="6.79" length="4.26" width="4.00" shape="1005.20,1006.00 1004.38,1007.38 1004.00,1010.00"/>
    </edge>
    <edge id=":center_15" function="internal">
        <lane id=":center_15_0" index="0" disallow="pedestrian" speed="9.34" length="9.81" width="4.00" shape="1000.67,998.00 999.50,997.50 996.88,994.38 996.00,990.00"/>
    </edge>
    <edge id=":center_6" function="internal">
        <lane id=":center_6_0" index="0" disallow="pedestrian" speed="6.79" length="5.42" width="4.00" shape="1004.00,990.00 1004.38,992.62 1005.50,994.50 1006.00,994.80"/>
    </edge>
    <edge id=":center_7" function="internal">
        <lane id=":center_7_0" index="0" disallow="pedestrian" speed="13.90" length="20.00" width="4.00" shape="1004.00,990.00 1004.00,1010.00"/>
    </edge>
    <edge id=":center_8" function="internal">
        <lane id=":center_8_0" index="0" disallow="pedestrian" speed="9.34" length="9.65" width="4.00" shape="1000.00,990.00 999.38,996.12 998.00,999.33"/>
    </edge>
    <edge id=":center_16" function="internal">
        <lane id=":center_16_0" index="0" disallow="pedestrian" speed="6.79" length="4.26" width="4.00" shape="1006.00,994.80 1007.38,995.62 1010.00,996.00"/>
    </edge>
    <edge id=":center_17" function="internal">
        <lane id=":center_17_0" index="0" disallow="pedestrian" speed="9.34" length="9.81" width="4.00" shape="998.00,999.33 997.50,1000.50 994.38,1003.12 990.00,1004.00"/>
    </edge>
    <edge id=":center_9" function="internal">
        <lane id=":center_9_0" index="0" disallow="pedestrian" speed="6.79" length="5.42" width="4.00" shape="990.00,996.00 992.62,995.62 994.50,994.50 994.80,994.00"/>
    </edge>
    <edge id=":center_10" function="internal">
        <lane id=":center_10_0" index="0" disallow="pedestrian" speed="13.90" length="20.00" width="4.00" shape="990.00,996.00 1010.00,996.00"/>
    </edge>
    <edge id=":center_11" function="internal">
        <lane id=":center_11_0" index="0" disallow="pedestrian" speed="9.34" length="9.65" width="4.00" shape="990.00,1000.00 996.12,1000.62 999.33,1002.00"/>
    </edge>
    <edge id=":center_18" function="internal">
        <lane id=":center_18_0" index="0" disallow="pedestrian" speed="6.79" length="4.26" width="4.00" shape="994.80,994.00 995.62,992.62 996.00,990.00"/>
    </edge>
    <edge id=":center_19" function="internal">
        <lane id=":center_19_0" index="0" disallow="pedestrian" speed="9.34" length="9.81" width="4.00" shape="999.33,1002.00 1000.50,1002.50 1003.12,1005.62 1004.00,1010.00"/>
    </edge>
    <edge id=":center_c0" function="crossing" crossingEdges="c2n nsep2c">
        <lane id=":center_c0_0" index="0" allow="pedestrian" speed="1.00" length="12.00" width="4.00" shape="1006.00,1008.00 994.00,1008.00"/>
    </edge>
    <edge id=":center_c1" function="crossing" crossingEdges="c2e esep2c">
        <lane id=":center_c1_0" index="0" allow="pedestrian" speed="1.00" length="12.00" width="4.00" shape="1008.00,994.00 1008.00,1006.00"/>
    </edge>
    <edge id=":center_c2" function="crossing" crossingEdges="c2s ssep2c">
        <lane id=":center_c2_0" index="0" allow="pedestrian" speed="1.00" length="12.00" width="4.00" shape="994.00,992.00 1006.00,992.00"/>
    </edge>
    <edge id=":center_c3" function="crossing" crossingEdges="c2w wsep2c">
        <lane id=":center_c3_0" index="0" allow="pedestrian" speed="1.00" length="12.00" width="4.00" shape="992.00,1006.00 992.00,994.00"/>
    </edge>
    <edge id=":center_w0" function="walkingarea">
        <lane id=":center_w0_0" index="0" allow="pedestrian" speed="1.00" length="3.35" width="4.00" shape="990.00,1006.00 990.00,1007.50 992.50,1010.00 994.00,1010.00 993.89,1008.78 993.56,1007.78 993.00,1007.00 992.22,1006.44 991.22,1006.11"/>
    </edge>
    <edge id=":center_w1" function="walkingarea">
        <lane id=":center_w1_0" index="0" allow="pedestrian" speed="1.00" length="3.35" width="4.00" shape="1006.00,1010.00 1007.50,1010.00 1010.00,1007.50 1010.00,1006.00 1008.78,1006.11 1007.78,1006.44 1007.00,1007.00 1006.44,1007.78 1006.11,1008.78"/>
    </edge>
    <edge id=":center_w2" function="walkingarea">
        <lane id=":center_w2_0" index="0" allow="pedestrian" speed="1.00" length="3.35" width="4.00" shape="1010.00,994.00 1010.00,992.50 1007.50,990.00 1006.00,990.00 1006.11,991.22 1006.44,992.22 1007.00,993.00 1007.78,993.56 1008.78,993.89"/>
    </edge>
    <edge id=":center_w3" function="walkingarea">
        <lane id=":center_w3_0" index="0" allow="pedestrian" speed="1.00" length="3.35" width="4.00" shape="994.00,990.00 992.50,990.00 990.00,992.50 990.00,994.00 991.22,993.89 992.22,993.56 993.00,993.00 993.56,992.22 993.89,991.22"/>
    </edge>
    <edge id=":east_w0" function="walkingarea">
        <lane id=":east_w0_0" index="0" allow="pedestrian" speed="1.00" length="9.50" width="1.50" shape="2000.00,1002.00 2000.00,1003.50 2000.00,992.50 2000.00,994.00"/>
    </edge>
    <edge id=":east_sep_0" function="internal">
        <lane id=":east_sep_0_0" index="0" disallow="pedestrian" speed="13.90" length="8.61" width="4.00" shape="1904.00,1000.00 1901.49,1000.62 1900.00,1002.00 1898.51,1003.38 1896.00,1004.00"/>
        <lane id=":east_sep_0_1" index="1" disallow="pedestrian" speed="13.90" length="8.61" width="4.00" shape="1904.00,1000.00 1896.00,1000.00"/>
    </edge>
    <edge id=":east_sep_w0" function="walkingarea">
        <lane id=":east_sep_w0_0" index="0" allow="pedestrian" speed="1.00" length="8.94" width="1.50" shape="1896.00,1006.00 1896.00,1007.50 1904.00,1003.50 1904.00,1002.00 1902.17,1002.30 1900.93,1003.04 1900.00,1004.00 1899.07,1004.96 1897.83,1005.70"/>
    </edge>
    <edge id=":north_w0" function="walkingarea">
        <lane id=":north_w0_0" index="0" allow="pedestrian" speed="1.00" length="9.50" width="1.50" shape="998.00,2000.00 996.50,2000.00 1007.50,2000.00 1006.00,2000.00"/>
    </edge>
    <edge id=":north_sep_0" function="internal">
        <lane id=":north_sep_0_0" index="0" disallow="pedestrian" speed="13.90" length="8.61" width="4.00" shape="1000.00,1904.00 999.38,1901.49 998.00,1900.00 996.62,1898.51 996.00,1896.00"/>
        <lane id=":north_sep_0_1" index="1" disallow="pedestrian" speed="13.90" length="8.61" width="4.00" shape="1000.00,1904.00 1000.00,1896.00"/>
    </edge>
    <edge id=":north_sep_w0" function="walkingarea">
        <lane id=":north_sep_w0_0" index="0" allow="pedestrian" speed="1.00" length="8.94" width="1.50" shape="994.00,1896.00 992.50,1896.00 996.50,1904.00 998.00,1904.00 997.70,1902.17 996.96,1900.93 996.00,1900.00 995.04,1899.07 994.30,1897.83"/>
    </edge>
    <edge id=":south_w0" function="walkingarea">
        <lane id=":south_w0_0" index="0" allow="pedestrian" speed="1.00" length="9.50" width="1.50" shape="1002.00,0.00 1003.50,0.00 992.50,0.00 994.00,0.00"/>
    </edge>
    <edge id=":south_sep_0" function="internal">
        <lane id=":south_sep_0_0" index="0" disallow="pedestrian" speed="13.90" length="8.61" width="4.00" shape="1000.00,96.00 1000.62,98.51 1002.00,100.00 1003.38,101.49 1004.00,104.00"/>
        <lane id=":south_sep_0_1" index="1" disallow="pedestrian" speed="13.90" length="8.61" width="4.00" shape="1000.00,96.00 1000.00,104.00"/>
    </edge>
    <edge id=":south_sep_w0" function="walkingarea">
        <lane id=":south_sep_w0_0" index="0" allow="pedestrian" speed="1.00" length="8.94" width="1.50" shape="1006.00,104.00 1007.50,104.00 1003.50,96.00 1002.00,96.00 1002.30,97.83 1003.04,99.07 1004.00,100.00 1004.96,100.93 1005.70,102.17"/>
    </edge>
    <edge id=":west_w0" function="walkingarea">
        <lane id=":west_w0_0" index="0" allow="pedestrian" speed="1.00" length="9.50" width="1.50" shape="0.00,998.00 0.00,996.50 0.00,1007.50 0.00,1006.00"/>
    </edge>
    <edge id=":west_sep_0" function="internal">
        <lane id=":west_sep_0_0" index="0" disallow="pedestrian" speed="13.90" length="8.61" width="4.00" shape="96.00,1000.00 98.51,999.38 100.00,998.00 101.49,996.62 104.00,996.00"/>
        <lane id=":west_sep_0_1" index="1" disallow="pedestrian" speed="13.90" length="8.61" width="4.00" shape="96.00,1000.00 104.00,1000.00"/>
    </edge>
    <edge id=":west_sep_w0" function="walkingarea">
        <lane id=":west_sep_w0_0" index="0" allow="pedestrian" speed="1.00" length="8.94" width="1.50" shape="104.00,994.00 104.00,992.50 96.00,996.50 96.00,998.00 97.83,997.70 99.07,996.96 100.00,996.00 100.93,995.04 102.17,994.30"/>
    </edge>

    <edge id="c2e" from="center" to="east" priority="-1" shape="1000.00,998.00 2000.00,998.00">
        <lane id="c2e_0" index="0" allow="pedestrian" speed="13.90" length="990.00" width="1.50" shape="1010.00,993.25 2000.00,993.25"/>
        <lane id="c2e_1" index="1" disallow="pedestrian" speed="13.90" length="990.00" width="4.00" shape="1010.00,996.00 2000.00,996.00"/>
    </edge>
    <edge id="c2n" from="center" to="north" priority="-1" shape="1002.00,1000.00 1002.00,2000.00">
        <lane id="c2n_0" index="0" allow="pedestrian" speed="13.90" length="990.00" width="1.50" shape="1006.75,1010.00 1006.75,2000.00"/>
        <lane id="c2n_1" index="1" disallow="pedestrian" speed="13.90" length="990.00" width="4.00" shape="1004.00,1010.00 1004.00,2000.00"/>
    </edge>
    <edge id="c2s" from="center" to="south" priority="-1" shape="998.00,1000.00 998.00,0.00">
        <lane id="c2s_0" index="0" allow="pedestrian" speed="13.90" length="990.00" width="1.50" shape="993.25,990.00 993.25,0.00"/>
        <lane id="c2s_1" index="1" disallow="pedestrian" speed="13.90" length="990.00" width="4.00" shape="996.00,990.00 996.00,0.00"/>
    </edge>
    <edge id="c2w" from="center" to="west" priority="-1" shape="1000.00,1002.00 0.00,1002.00">
        <lane id="c2w_0" index="0" allow="pedestrian" speed="13.90" length="990.00" width="1.50" shape="990.00,1006.75 0.00,1006.75"/>
        <lane id="c2w_1" index="1" disallow="pedestrian" speed="13.90" length="990.00" width="4.00" shape="990.00,1004.00 0.00,1004.00"/>
    </edge>
    <edge id="e2sep" from="east" to="east_sep" priority="-1" shape="2000.00,998.00 1900.00,998.00">
        <lane id="e2sep_0" index="0" allow="pedestrian" speed="13.90" length="96.00" width="1.50" shape="2000.00,1002.75 1904.00,1002.75"/>
        <lane id="e2sep_1" index="1" disallow="pedestrian" speed="13.90" length="96.00" width="4.00" shape="2000.00,1000.00 1904.00,1000.00"/>
    </edge>
    <edge id="esep2c" from="east_sep" to="center" priority="-1" shape="1900.00,998.00 1000.00,998.00">
        <lane id="esep2c_0" index="0" allow="pedestrian" speed="13.90" length="886.00" width="1.50" shape="1896.00,1006.75 1010.00,1006.75"/>
        <lane id="esep2c_1" index="1" disallow="pedestrian" speed="13.90" length="886.00" width="4.00" shape="1896.00,1004.00 1010.00,1004.00" changeLeft="emergency" changeRight="emergency"/>
        <lane id="esep2c_2" index="2" disallow="pedestrian" speed="13.90" length="886.00" width="4.00" shape="1896.00,1000.00 1010.00,1000.00" changeLeft="emergency" changeRight="emergency"/>
    </edge>
    <edge id="n2sep" from="north" to="north_sep" priority="-1" shape="1002.00,2000.00 1002.00,1900.00">
        <lane id="n2sep_0" index="0" allow="pedestrian" speed="13.90" length="96.00" width="1.50" shape="997.25,2000.00 997.25,1904.00"/>
        <lane id="n2sep_1" index="1" disallow="pedestrian" speed="13.90" length="96.00" width="4.00" shape="1000.00,2000.00 1000.00,1904.00"/>
    </edge>
    <edge id="nsep2c" from="north_sep" to="center" priority="-1" shape="1002.00,1900.00 1002.00,1000.00">
        <lane id="nsep2c_0" index="0" allow="pedestrian" speed="13.90" length="886.00" width="1.50" shape="993.25,1896.00 993.25,1010.00"/>
        <lane id="nsep2c_1" index="1" disallow="pedestrian" speed="13.90" length="886.00" width="4.00" shape="996.00,1896.00 996.00,1010.00" changeLeft="emergency" changeRight="emergency"/>
        <lane id="nsep2c_2" index="2" disallow="pedestrian" speed="13.90" length="886.00" width="4.00" shape="1000.00,1896.00 1000.00,1010.00" changeLeft="emergency" changeRight="emergency"/>
    </edge>
    <edge id="s2sep" from="south" to="south_sep" priority="-1" shape="998.00,0.00 998.00,100.00">
        <lane id="s2sep_0" index="0" allow="pedestrian" speed="13.90" length="96.00" width="1.50" shape="1002.75,0.00 1002.75,96.00"/>
        <lane id="s2sep_1" index="1" disallow="pedestrian" speed="13.90" length="96.00" width="4.00" shape="1000.00,0.00 1000.00,96.00"/>
    </edge>
    <edge id="ssep2c" from="south_sep" to="center" priority="-1" shape="998.00,100.00 998.00,1000.00">
        <lane id="ssep2c_0" index="0" allow="pedestrian" speed="13.90" length="886.00" width="1.50" shape="1006.75,104.00 1006.75,990.00"/>
        <lane id="ssep2c_1" index="1" disallow="pedestrian" speed="13.90" length="886.00" width="4.00" shape="1004.00,104.00 1004.00,990.00" changeLeft="emergency" changeRight="emergency"/>
        <lane id="ssep2c_2" index="2" disallow="pedestrian" speed="13.90" length="886.00" width="4.00" shape="1000.00,104.00 1000.00,990.00" changeLeft="emergency" changeRight="emergency"/>
    </edge>
    <edge id="w2sep" from="west" to="west_sep" priority="-1" shape="0.00,1002.00 100.00,1002.00">
        <lane id="w2sep_0" index="0" allow="pedestrian" speed="13.90" length="96.00" width="1.50" shape="0.00,997.25 96.00,997.25"/>
        <lane id="w2sep_1" index="1" disallow="pedestrian" speed="13.90" length="96.00" width="4.00" shape="0.00,1000.00 96.00,1000.00"/>
    </edge>
    <edge id="wsep2c" from="west_sep" to="center" priority="-1" shape="100.00,1002.00 1000.00,1002.00">
        <lane id="wsep2c_0" index="0" allow="pedestrian" speed="13.90" length="886.00" width="1.50" shape="104.00,993.25 990.00,993.25"/>
        <lane id="wsep2c_1" index="1" disallow="pedestrian" speed="13.90" length="886.00" width="4.00" shape="104.00,996.00 990.00,996.00" changeLeft="emergency" changeRight="emergency"/>
        <lane id="wsep2c_2" index="2" disallow="pedestrian" speed="13.90" length="886.00" width="4.00" shape="104.00,1000.00 990.00,1000.00" changeLeft="emergency" changeRight="emergency"/>
    </edge>

    <tlLogic id="center" type="static" programID="default" offset="0">
        <phase duration="28" state="gGgrrrgGgrrrrGrG"/>
        <phase duration="5"  state="gGgrrrgGgrrrrrrr"/>
        <phase duration="3"  state="yygrrryygrrrrrrr"/>
        <phase duration="6"  state="rrGrrrrrGrrrrrrr"/>
        <phase duration="3"  state="rryrrrrryrrrrrrr"/>
        <phase duration="28" state="rrrgGgrrrgGgGrGr"/>
        <phase duration="5"  state="rrrgGgrrrgGgrrrr"/>
        <phase duration="3"  state="rrryygrrryygrrrr"/>
        <phase duration="6"  state="rrrrrGrrrrrGrrrr"/>
        <phase duration="3"  state="rrrrryrrrrryrrrr"/>
    </tlLogic>
    <tlLogic id="center" type="static" programID="east" offset="0">
        <phase duration="10000" state="rrrGGGrrrrrrrrrr"/>
    </tlLogic>
    <tlLogic id="center" type="static" programID="north" offset="0">
        <phase duration="10000" state="GGGrrrrrrrrrrrrr"/>
    </tlLogic>
    <tlLogic id="center" type="static" programID="south" offset="0">
        <phase duration="10000" state="rrrrrrGGGrrrrrrr"/>
    </tlLogic>
    <tlLogic id="center" type="static" programID="west" offset="0">
        <phase duration="10000" state="rrrrrrrrrGGGrrrr"/>
    </tlLogic>

    <junction id="center" type="traffic_light" x="1000.00" y="1000.00" incLanes="nsep2c_0 nsep2c_1 nsep2c_2 esep2c_0 esep2c_1 esep2c_2 ssep2c_0 ssep2c_1 ssep2c_2 wsep2c_0 wsep2c_1 wsep2c_2 :center_w1_0 :center_w2_0 :center_w3_0 :center_w0_0" intLanes=":center_12_0 :center_1_0 :center_13_0 :center_14_0 :center_4_0 :center_15_0 :center_16_0 :center_7_0 :center_17_0 :center_18_0 :center_10_0 :center_19_0 :center_c0_0 :center_c1_0 :center_c2_0 :center_c3_0" shape="992.50,1010.00 1007.50,1010.00 1007.78,1008.61 1008.12,1008.12 1008.61,1007.78 1009.24,1007.57 1010.00,1007.50 1010.00,992.50 1008.61,992.22 1008.12,991.88 1007.78,991.39 1007.57,990.76 1007.50,990.00 992.50,990.00 992.22,991.39 991.88,991.88 991.39,992.22 990.76,992.43 990.00,992.50 990.00,1007.50 991.39,1007.78 991.88,1008.12 992.22,1008.61 992.43,1009.24">
        <request index="0"  response="1001000000000000" foes="1001000100010000" cont="1"/>
        <request index="1"  response="0101101000100000" foes="0101111100110000" cont="0"/>
        <request index="2"  response="0011100011100000" foes="0011110011110000" cont="1"/>
        <request index="3"  response="0011000010000000" foes="0011100010000000" cont="1"/>
        <request index="4"  response="1010000110000111" foes="1010100110000111" cont="0"/>
        <request index="5"  response="0110011110000110" foes="0110011110000110" cont="1"/>
        <request index="6"  response="0110000000000000" foes="0110010000000100" cont="1"/>
        <request index="7"  response="0101100000101000" foes="0101110000111100" cont="0"/>
        <request index="8"  response="1100100000100011" foes="1100110000110011" cont="1"/>
        <request index="9"  response="1100000000000010" foes="1100000000100010" cont="1"/>
        <request index="10" response="1010000111000110" foes="1010000111100110" cont="0"/>
        <request index="11" response="1001000110011110" foes="1001000110011110" cont="1"/>
        <request index="12" response="0000000000000000" foes="0000100010001111" cont="0"/>
        <request index="13" response="0000000000000000" foes="0000010001111100" cont="0"/>
        <request index="14" response="0000000000000000" foes="0000001111100010" cont="0"/>
        <request index="15" response="0000000000000000" foes="0000111100010001" cont="0"/>
    </junction>
    <junction id="east" type="dead_end" x="2000.00" y="1000.00" incLanes="c2e_0 c2e_1" intLanes="" shape="2000.00,998.00 2000.00,992.50 2000.00,998.00"/>
    <junction id="east_sep" type="priority" x="1900.00" y="1000.00" incLanes="e2sep_0 e2sep_1" intLanes=":east_sep_0_0 :east_sep_0_1" shape="1904.00,1003.50 1904.00,998.00 1896.00,998.00 1896.00,1007.50 1899.07,1006.46 1900.93,1004.54 1902.17,1003.80">
        <request index="0" response="00" foes="00" cont="0"/>
        <request index="1" response="00" foes="00" cont="0"/>
    </junction>
    <junction id="north" type="dead_end" x="1000.00" y="2000.00" incLanes="c2n_0 c2n_1" intLanes="" shape="1002.00,2000.00 1007.50,2000.00 1002.00,2000.00"/>
    <junction id="north_sep" type="priority" x="1000.00" y="1900.00" incLanes="n2sep_0 n2sep_1" intLanes=":north_sep_0_0 :north_sep_0_1" shape="996.50,1904.00 1002.00,1904.00 1002.00,1896.00 992.50,1896.00 993.54,1899.07 995.46,1900.93 996.20,1902.17">
        <request index="0" response="00" foes="00" cont="0"/>
        <request index="1" response="00" foes="00" cont="0"/>
    </junction>
    <junction id="south" type="dead_end" x="1000.00" y="0.00" incLanes="c2s_0 c2s_1" intLanes="" shape="998.00,0.00 992.50,0.00 998.00,0.00"/>
    <junction id="south_sep" type="priority" x="1000.00" y="100.00" incLanes="s2sep_0 s2sep_1" intLanes=":south_sep_0_0 :south_sep_0_1" shape="998.00,104.00 1007.50,104.00 1006.46,100.93 1004.54,99.07 1003.80,97.83 1003.50,96.00 998.00,96.00">
        <request index="0" response="00" foes="00" cont="0"/>
        <request index="1" response="00" foes="00" cont="0"/>
    </junction>
    <junction id="west" type="dead_end" x="0.00" y="1000.00" incLanes="c2w_0 c2w_1" intLanes="" shape="0.00,1002.00 0.00,1007.50 0.00,1002.00"/>
    <junction id="west_sep" type="priority" x="100.00" y="1000.00" incLanes="w2sep_0 w2sep_1" intLanes=":west_sep_0_0 :west_sep_0_1" shape="104.00,1002.00 104.00,992.50 100.93,993.54 99.07,995.46 97.83,996.20 96.00,996.50 96.00,1002.00">
        <request index="0" response="00" foes="00" cont="0"/>
        <request index="1" response="00" foes="00" cont="0"/>
    </junction>

    <junction id=":center_12_0" type="internal" x="994.00" y="1005.20" incLanes=":center_0_0" intLanes=":center_4_0 :center_8_0 :center_c0_0 :center_c3_0"/>
    <junction id=":center_13_0" type="internal" x="1002.00" y="1000.67" incLanes=":center_2_0 ssep2c_1" intLanes=":center_4_0 :center_5_0 :center_6_0 :center_7_0 :center_10_0 :center_11_0 :center_c0_0 :center_c1_0"/>
    <junction id=":center_14_0" type="internal" x="1005.20" y="1006.00" incLanes=":center_3_0" intLanes=":center_7_0 :center_11_0 :center_c0_0 :center_c1_0"/>
    <junction id=":center_15_0" type="internal" x="1000.67" y="998.00" incLanes=":center_5_0 wsep2c_1" intLanes=":center_1_0 :center_2_0 :center_7_0 :center_8_0 :center_9_0 :center_10_0 :center_c1_0 :center_c2_0"/>
    <junction id=":center_16_0" type="internal" x="1006.00" y="994.80" incLanes=":center_6_0" intLanes=":center_2_0 :center_10_0 :center_c1_0 :center_c2_0"/>
    <junction id=":center_17_0" type="internal" x="998.00" y="999.33" incLanes=":center_8_0 nsep2c_1" intLanes=":center_0_0 :center_1_0 :center_4_0 :center_5_0 :center_10_0 :center_11_0 :center_c2_0 :center_c3_0"/>
    <junction id=":center_18_0" type="internal" x="994.80" y="994.00" incLanes=":center_9_0" intLanes=":center_1_0 :center_5_0 :center_c2_0 :center_c3_0"/>
    <junction id=":center_19_0" type="internal" x="999.33" y="1002.00" incLanes=":center_11_0 esep2c_1" intLanes=":center_1_0 :center_2_0 :center_3_0 :center_4_0 :center_7_0 :center_8_0 :center_c0_0 :center_c3_0"/>

    <connection from="e2sep" to="esep2c" fromLane="1" toLane="1" via=":east_sep_0_0" dir="s" state="M"/>
    <connection from="e2sep" to="esep2c" fromLane="1" toLane="2" via=":east_sep_0_1" dir="s" state="M"/>
    <connection from="esep2c" to="c2n" fromLane="1" toLane="1" via=":center_3_0" tl="center" linkIndex="3" dir="r" state="o"/>
    <connection from="esep2c" to="c2w" fromLane="1" toLane="1" via=":center_4_0" tl="center" linkIndex="4" dir="s" state="o"/>
    <connection from="esep2c" to="c2s" fromLane="2" toLane="1" via=":center_5_0" tl="center" linkIndex="5" dir="l" state="o"/>
    <connection from="n2sep" to="nsep2c" fromLane="1" toLane="1" via=":north_sep_0_0" dir="s" state="M"/>
    <connection from="n2sep" to="nsep2c" fromLane="1" toLane="2" via=":north_sep_0_1" dir="s" state="M"/>
    <connection from="nsep2c" to="c2w" fromLane="1" toLane="1" via=":center_0_0" tl="center" linkIndex="0" dir="r" state="o"/>
    <connection from="nsep2c" to="c2s" fromLane="1" toLane="1" via=":center_1_0" tl="center" linkIndex="1" dir="s" state="o"/>
    <connection from="nsep2c" to="c2e" fromLane="2" toLane="1" via=":center_2_0" tl="center" linkIndex="2" dir="l" state="o"/>
    <connection from="s2sep" to="ssep2c" fromLane="1" toLane="1" via=":south_sep_0_0" dir="s" state="M"/>
    <connection from="s2sep" to="ssep2c" fromLane="1" toLane="2" via=":south_sep_0_1" dir="s" state="M"/>
    <connection from="ssep2c" to="c2e" fromLane="1" toLane="1" via=":center_6_0" tl="center" linkIndex="6" dir="r" state="o"/>
    <connection from="ssep2c" to="c2n" fromLane="1" toLane="1" via=":center_7_0" tl="center" linkIndex="7" dir="s" state="o"/>
    <connection from="ssep2c" to="c2w" fromLane="2" toLane="1" via=":center_8_0" tl="center" linkIndex="8" dir="l" state="o"/>
    <connection from="w2sep" to="wsep2c" fromLane="1" toLane="1" via=":west_sep_0_0" dir="s" state="M"/>
    <connection from="w2sep" to="wsep2c" fromLane="1" toLane="2" via=":west_sep_0_1" dir="s" state="M"/>
    <connection from="wsep2c" to="c2s" fromLane="1" toLane="1" via=":center_9_0" tl="center" linkIndex="9" dir="r" state="o"/>
    <connection from="wsep2c" to="c2e" fromLane="1" toLane="1" via=":center_10_0" tl="center" linkIndex="10" dir="s" state="o"/>
    <connection from="wsep2c" to="c2n" fromLane="2" toLane="1" via=":center_11_0" tl="center" linkIndex="11" dir="l" state="o"/>

    <connection from=":center_0" to="c2w" fromLane="0" toLane="1" via=":center_12_0" dir="r" state="m"/>
    <connection from=":center_12" to="c2w" fromLane="0" toLane="1" dir="r" state="M"/>
    <connection from=":center_1" to="c2s" fromLane="0" toLane="1" dir="s" state="M"/>
    <connection from=":center_2" to="c2e" fromLane="0" toLane="1" via=":center_13_0" dir="l" state="m"/>
    <connection from=":center_13" to="c2e" fromLane="0" toLane="1" dir="l" state="M"/>
    <connection from=":center_3" to="c2n" fromLane="0" toLane="1" via=":center_14_0" dir="r" state="m"/>
    <connection from=":center_14" to="c2n" fromLane="0" toLane="1" dir="r" state="M"/>
    <connection from=":center_4" to="c2w" fromLane="0" toLane="1" dir="s" state="M"/>
    <connection from=":center_5" to="c2s" fromLane="0" toLane="1" via=":center_15_0" dir="l" state="m"/>
    <connection from=":center_15" to="c2s" fromLane="0" toLane="1" dir="l" state="M"/>
    <connection from=":center_6" to="c2e" fromLane="0" toLane="1" via=":center_16_0" dir="r" state="m"/>
    <connection from=":center_16" to="c2e" fromLane="0" toLane="1" dir="r" state="M"/>
    <connection from=":center_7" to="c2n" fromLane="0" toLane="1" dir="s" state="M"/>
    <connection from=":center_8" to="c2w" fromLane="0" toLane="1" via=":center_17_0" dir="l" state="m"/>
    <connection from=":center_17" to="c2w" fromLane="0" toLane="1" dir="l" state="M"/>
    <connection from=":center_9" to="c2s" fromLane="0" toLane="1" via=":center_18_0" dir="r" state="m"/>
    <connection from=":center_18" to="c2s" fromLane="0" toLane="1" dir="r" state="M"/>
    <connection from=":center_10" to="c2e" fromLane="0" toLane="1" dir="s" state="M"/>
    <connection from=":center_11" to="c2n" fromLane="0" toLane="1" via=":center_19_0" dir="l" state="m"/>
    <connection from=":center_19" to="c2n" fromLane="0" toLane="1" dir="l" state="M"/>
    <connection from=":east_sep_0" to="esep2c" fromLane="0" toLane="1" dir="s" state="M"/>
    <connection from=":east_sep_0" to="esep2c" fromLane="1" toLane="2" dir="s" state="M"/>
    <connection from=":north_sep_0" to="nsep2c" fromLane="0" toLane="1" dir="s" state="M"/>
    <connection from=":north_sep_0" to="nsep2c" fromLane="1" toLane="2" dir="s" state="M"/>
    <connection from=":south_sep_0" to="ssep2c" fromLane="0" toLane="1" dir="s" state="M"/>
    <connection from=":south_sep_0" to="ssep2c" fromLane="1" toLane="2" dir="s" state="M"/>
    <connection from=":west_sep_0" to="wsep2c" fromLane="0" toLane="1" dir="s" state="M"/>
    <connection from=":west_sep_0" to="wsep2c" fromLane="1" toLane="2" dir="s" state="M"/>

    <connection from=":center_c0" to=":center_w0" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":center_c1" to=":center_w1" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":center_c2" to=":center_w2" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":center_c3" to=":center_w3" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":center_w0" to=":center_c3" fromLane="0" toLane="0" tl="center" linkIndex="15" dir="s" state="M"/>
    <connection from=":center_w0" to="c2w" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from="nsep2c" to=":center_w0" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":center_w1" to=":center_c0" fromLane="0" toLane="0" tl="center" linkIndex="12" dir="s" state="M"/>
    <connection from=":center_w1" to="c2n" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from="esep2c" to=":center_w1" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":center_w2" to=":center_c1" fromLane="0" toLane="0" tl="center" linkIndex="13" dir="s" state="M"/>
    <connection from=":center_w2" to="c2e" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from="ssep2c" to=":center_w2" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":center_w3" to=":center_c2" fromLane="0" toLane="0" tl="center" linkIndex="14" dir="s" state="M"/>
    <connection from=":center_w3" to="c2s" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from="wsep2c" to=":center_w3" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":east_w0" to="e2sep" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from="c2e" to=":east_w0" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":east_sep_w0" to="esep2c" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from="e2sep" to=":east_sep_w0" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":north_w0" to="n2sep" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from="c2n" to=":north_w0" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":north_sep_w0" to="nsep2c" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from="n2sep" to=":north_sep_w0" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":south_w0" to="s2sep" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from="c2s" to=":south_w0" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":south_sep_w0" to="ssep2c" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from="s2sep" to=":south_sep_w0" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":west_w0" to="w2sep" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from="c2w" to=":west_w0" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":west_sep_w0" to="wsep2c" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from="w2sep" to=":west_sep_w0" fromLane="0" toLane="0" dir="s" state="M"/>
</net>
